using UnityEngine;
using System.Collections;

public class LockMouse : MonoBehaviour {
	
	void Start(){
		StartCoroutine ("Hide");
	}

	void Update(){
		if(Input.GetKeyDown("escape")){
		    Screen.lockCursor = false;
			Screen.showCursor = true;
			this.gameObject.GetComponent<MouseLook>().enabled = false;
			this.transform.FindChild("Main Camera").gameObject.GetComponent<MouseLook>().enabled = false;
		}
		if(Input.GetMouseButtonDown(0)){
			Screen.lockCursor = true;
			Screen.showCursor = false;
			this.gameObject.GetComponent<MouseLook>().enabled = true;
			this.transform.FindChild("Main Camera").gameObject.GetComponent<MouseLook>().enabled = true;
		}

	}

	IEnumerator Hide(){
		Screen.lockCursor = true;
		Screen.showCursor = false;
		yield return new WaitForSeconds(0.01f);
		Screen.lockCursor = false;
		Screen.showCursor = true;
		yield return new WaitForSeconds(0.01f);
		Screen.lockCursor = true;
		Screen.showCursor = false;
	}

}