using UnityEngine;
using System.Collections;

public class swing : MonoBehaviour {
	
	public float angleX = 20; // swing angle = 2 * angle
	public float speedX = 0.5f; // speed (6.28 means about 1 second)
	
	public float angleY = 30; // swing angle = 2 * angle
	public float speedY = 0.5f; // speed (6.28 means about 1 second)
	
	public float angleZ = 10; // swing angle = 2 * angle
	public float speedZ = 0.5f; // speed (6.28 means about 1 second)
	
	Vector3 oldPosition;
	
	public bool movemode = true;
	public bool from_original = false;

	Vector3 origpos;

	void Start(){
		if (from_original == true) {
			origpos = this.transform.localEulerAngles;
		}
	}

	// Update is called once per frame
	void Update (){
		
		if (movemode == true){
			if ( Mathf.Round(oldPosition.z * 100) / 100 > Mathf.Round (transform.position.z * 100) / 100 ){
				transform.localEulerAngles = origpos +- new Vector3 (angleX * Mathf.Cos(speedX * Time.time), angleY * Mathf.Sin(speedY * Time.time) , angleZ * Mathf.Cos(speedZ * Time.time));
			}
			if ( Mathf.Round(oldPosition.z * 100) / 100 < Mathf.Round(transform.position.z * 100 ) / 100 ){
				transform.localEulerAngles = origpos +- new Vector3 (angleX * Mathf.Cos(speedX * Time.time), angleY * Mathf.Sin(speedY * Time.time) , angleZ * Mathf.Cos(speedZ * Time.time));
			}
			oldPosition = transform.position;
		}
	}
	
	void LateUpdate(){
		if (movemode == false){
			transform.localEulerAngles = origpos += new Vector3 (angleX * Mathf.Cos(speedX * Time.time), angleY * Mathf.Sin(speedY * Time.time) , angleZ * Mathf.Cos(speedZ * Time.time));
		}
	}
}